
-- primo semplice esempio di select
SELECT * FROM STUDENTI  \p;


-- select singola per chiave primaria
SELECT * FROM STUDENTI
WHERE ID = 1  \p;


-- semplice esempio di select con clausola where
SELECT MATRICOLA FROM STUDENTI 
WHERE IN_CORSO = 'S'  \p;


-- due esempi di select con clausola where (e campo data gestito in modo improprio)
SELECT NOME FROM STUDENTI 
WHERE DATA_NASCITA > '1970'  \p;

SELECT NOME FROM STUDENTI 
WHERE DATA_NASCITA < '1970'  \p;




-- visualizza dati caricati in tabella PROFESSORI
SELECT * FROM PROFESSORI \p;

SELECT * FROM CORSI  \p;


SELECT ID_CORSO,CODICE,TITOLO,DATA_INIZIO,CREDITI
FROM CORSI  \p;

SELECT * FROM ESAMI_STUDENTE  \p;





-- esempi di query su piu' tabelle, con campo non definito correttamente (ambiguo)
SELECT ID_CORSO,ID_ESAME_STUDENTE 
FROM ESAMI_STUDENTE, CORSI   \p;


-- esempi di query su piu' tabelle, senza clausole di lagame tra le tabelle (clausola WHERE assente)
SELECT CORSI.ID_CORSO,ID_ESAME_STUDENTE 
FROM ESAMI_STUDENTE, CORSI   \p;

SELECT CORSI.ID_CORSO, ESAMI_STUDENTE.ID_CORSO, ID_ESAME_STUDENTE
FROM ESAMI_STUDENTE, CORSI   \p;


-- primo esempio di clausola WHERE con definizione ambigua dei campi
SELECT CORSI.ID_CORSO, ESAMI_STUDENTE.ID_CORSO, ID_ESAME_STUDENTE 
FROM ESAMI_STUDENTE, CORSI 
WHERE ID_CORSO = ID_CORSO  \p;


-- primo esempio di clausola WHERE con definizione completa dei campi
SELECT RIF_STUDENTE, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO   \p;
	


SELECT RIF_STUDENTE, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
VOTO > 17  \p;




-- query su tre tabelle contemporaneamente
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID  \p;
	

SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
VOTO > 17  \p;
	


-- query di estrazione dei voti compresi tra 18 e 23
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
VOTO > 17 AND VOTO < 24  \p;
	
-- altra query di estrazione dei voti compresi tra 18 e 23
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
VOTO >= 18 AND VOTO <= 23  \p;
	
-- ulteriore esempio di query di estrazione dei voti compresi tra 18 e 23
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
VOTO BETWEEN 18 AND 23  \p;
	


-- estrazione di record con clausola "IN" nel blocco WHERE
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
CORSI.ID_CORSO IN (3,4)  \p;
	

-- estrazione di record con clausola WHERE di confronto tra stringhe
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
NOME = 'PAOLO'  \p;


-- estrazione di record con clausola WHERE di confronto tra stringhe atraverso il comando LIKE
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
NOME LIKE 'PAOLO'  \p;
	

-- estrazione di record con clausola WHERE con il comando LIKE e caratteri jolly
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
NOME LIKE 'PAOLO%'  \p;
	


-- ulteriore estrazione di record con clausola WHERE con il comando LIKE e caratteri jolly
SELECT NOME, MATRICOLA, CODICE, TITOLO, CREDITI, DATA_ESAME, VOTO 
FROM STUDENTI, ESAMI_STUDENTE, CORSI 
WHERE CORSI.ID_CORSO = ESAMI_STUDENTE.ID_CORSO
AND
RIF_STUDENTE = ID
AND
NOME LIKE '%ANNA%'  \p;
	







